Package org.opensaml.xmlsec.encryption.impl

# Class CipherDataMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.xmlsec.encryption.impl.AbstractXMLEncryptionMarshaller
org.opensaml.xmlsec.encryption.impl.CipherDataMarshaller

All Implemented Interfaces:
  `Marshaller`

public class CipherDataMarshaller extends AbstractXMLEncryptionMarshaller
A thread-safe Marshaller for `CipherData` objects.

## Constructor Summary

Constructors
Constructor
Description
`CipherDataMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.xmlsec.encryption.impl.AbstractXMLEncryptionMarshaller

`marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CipherDataMarshaller

public CipherDataMarshaller()